Bug 55185 - FILEOPEN: hang when opening particular Word document
Summary: FILEOPEN: hang when opening particular Word document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: DOC-Opening
  Show dependency treegraph
 
Reported: 2012-09-21 08:57 UTC by libreoffice
Modified: 2018-09-18 02:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Word document that hangs when opened (68.00 KB, application/msword)
2012-09-21 08:57 UTC, libreoffice
Details
Crude hack to prevent hang (889 bytes, patch)
2012-09-21 08:59 UTC, libreoffice
Details
Mac OS X log file created on forced quit on hang (158.82 KB, text/plain)
2012-09-26 13:07 UTC, Roman Eisele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description libreoffice 2012-09-21 08:57:20 UTC
Created attachment 67485 [details]
Word document that hangs when opened

LibreOffice hangs when opening the attached Word document. This is a reduced 32-character version of http://eur-lex.europa.eu/LexUriServ/LexUriServ.do?uri=SEC:2011:0502:FIN:EN:DOC.

Steps to reproduce:
1. open document

Current behavior:
hang

Expected behavior:
open document

Platform: 
Linux Ubuntu 10.04 i686 LibreOffice from git
Windows 7 x64 LibreOffice 3.5.4.2 i686

The problem seems to be a never ending loop in SwTxtFormatter::BuildPortions.
Comment 1 libreoffice 2012-09-21 08:59:24 UTC
Created attachment 67486 [details]
Crude hack to prevent hang
Comment 2 Roman Eisele 2012-09-26 13:06:32 UTC
Thank you very much for your bug report!

Not a new problem; REPRODUCIBLE with
* LibreOffice 3.3.0
* LibreOffice 3.4.6
* LibreOffice 3.5.7.1
* LibreOffice 3.6.2.1
all on Mac OS X 10.6.8.

Therefore adjusted Version field (should always contain the 1st version in which a bug is reproducible).

Thank you especially for the “crude hack” which at least shows where the problem is!
Comment 3 Roman Eisele 2012-09-26 13:07:31 UTC
Created attachment 67725 [details]
Mac OS X log file created on forced quit on hang



The log file (with simple stack trace) created by Mac OS X when I had to force quit LibO 3.5.7.1 because of the hang.
Comment 4 Roman Eisele 2012-09-26 13:14:24 UTC
@ Writer experts:

Hello Cédric, hello Michael,

this is a bug report about a .doc file which causes a hang when opening it in LibreOffice. I know that this is not the only report of that kind, but the GOOD thing here is that the reporter

a) has already managed to strip down the .doc file to a minimum,
   so that you can analyse what causes the hang; and

b) has even provided a “crude hack” patch which prevents the hang and,
   even if it is not suitable for pushing to master,
   at least seems to show exactly where the bug is.

So please take a look at this report; at least a simple-minded bug wrangler like me would hope that with the excellent hints already given here it should be possible to fix the issue rather easily, and this may also fix the import of some other .doc files which cause hangs ...

Thank you very much!
Comment 5 Cédric Bosdonnat 2014-01-20 08:57:31 UTC
Restricted my LibreOffice hacking area
Comment 6 Joel Madero 2015-05-02 15:42:17 UTC Comment hidden (obsolete)
Comment 7 libreoffice 2015-05-03 08:53:09 UTC
The bug is still present in LibreOffice 4.4.2.2 on Windows x86.
Comment 8 QA Administrators 2016-09-20 10:32:24 UTC Comment hidden (obsolete)
Comment 9 libreoffice 2016-09-20 13:24:54 UTC
Still hangs in LibreOffice 5.2.1.2 windows x86 on Windows 10 1607.
Comment 10 QA Administrators 2018-09-18 02:49:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug